name: apt
runs:
  using: composite
  steps:
    - shell: bash
      run: |
        set -x

        export DEBIAN_FRONTEND=noninteractive
        dpkg --add-architecture i386
        apt-get update -y | true
        # TODO: Reenable postgresql + postgresql-contrib packages once they work again.
        apt-get install -y \
          autoconf \
          bison \
          g++-multilib \
          gcc-multilib \
          language-pack-de \
          libaspell-dev:i386 \
          libbz2-dev:i386 \
          libc6:i386 \
          libcurl4-openssl-dev:i386 \
          libffi-dev:i386 \
          libfreetype6-dev:i386 \
          libgmp-dev:i386 \
          libgssapi-krb5-2:i386 \
          libicu-dev:i386 \
          libjpeg-dev:i386 \
          libkrb5-dev:i386 \
          libonig-dev:i386 \
          libpng-dev:i386 \
          libpq-dev:i386 \
          libpspell-dev:i386 \
          libreadline-dev:i386 \
          libsasl2-dev:i386 \
          libsodium-dev:i386 \
          libsqlite3-dev:i386 \
          libssl-dev:i386 \
          libtidy-dev:i386 \
          libwebp-dev:i386 \
          libxml2-dev:i386 \
          libxml2-dev:i386 \
          libxpm-dev:i386 \
          libxslt1-dev:i386 \
          libzip-dev:i386 \
          locales \
          make \
          pkg-config:i386 \
          re2c \
          unzip \
          wget \
          zlib1g-dev:i386
